TPM(4)

NAME
tpm - Trusted Platform Module

SYNOPSIS
tpm* at isa? iomem 0xfed40000
tpm* at isa? iomem 0xfed40000 irq 7

DESCRIPTION
The tpm driver provides support for various trusted platform modules (TPM) that can store cryptographic keys.

Supported modules:

•   Atmel 97SC3203
•   Broadcom BCM0102
•   Infineon IFX SLD 9630 TT 1.1 and IFX SLB 9635 TT 1.2
•   Intel INTC0102
•   Sinosun SNS SSX35
•   STM ST19WP18
•   Winbond WEC WPCT200

The driver can be configured to use an IRQ by providing a free ISA interrupt vector using the keyword irq in the kernel configuration file or using config(1). If not IRQ is specified, the driver uses polling. This is the default configuration.

SEE ALSO
config(1), intro(4)

AUTHORS
-nosplit The tpm driver was written by Michael Shalayeff and Hans-Joerg Hoexer.